This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 981730 - [abrt] xfdesktop-4.10.2-1.fc19: handle_error: Process /usr/bin/xfdesktop was killed by signal 5 (SIGTRAP)
[abrt] xfdesktop-4.10.2-1.fc19: handle_error: Process /usr/bin/xfdesktop was ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xfdesktop (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:18646be2bb81df4529da950c24d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-05 11:33 EDT by hrafnkellbrimar
Modified: 2015-02-18 08:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:58:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (46.35 KB, text/plain)
2013-07-05 11:33 EDT, hrafnkellbrimar
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-05 11:34 EDT, hrafnkellbrimar
no flags Details
File: core_backtrace (4.88 KB, text/plain)
2013-07-05 11:34 EDT, hrafnkellbrimar
no flags Details
File: dso_list (9.22 KB, text/plain)
2013-07-05 11:34 EDT, hrafnkellbrimar
no flags Details
File: environ (1.50 KB, text/plain)
2013-07-05 11:34 EDT, hrafnkellbrimar
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-05 11:34 EDT, hrafnkellbrimar
no flags Details
File: maps (45.76 KB, text/plain)
2013-07-05 11:34 EDT, hrafnkellbrimar
no flags Details
File: open_fds (2.69 KB, text/plain)
2013-07-05 11:34 EDT, hrafnkellbrimar
no flags Details
File: proc_pid_status (940 bytes, text/plain)
2013-07-05 11:34 EDT, hrafnkellbrimar
no flags Details
File: var_log_messages (2.35 KB, text/plain)
2013-07-05 11:34 EDT, hrafnkellbrimar
no flags Details

  None (edit)
Description hrafnkellbrimar 2013-07-05 11:33:53 EDT
Description of problem:
Tried right clicking to open Xfce menu on secondary monitor (Seperate X server, nvidia proprietary driver) Has always worked previously, only thing changed is the gtk theme as far as I know.

Version-Release number of selected component:
xfdesktop-4.10.2-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        xfdesktop --display :0.0 --sm-client-id 214397fb9-ed93-4248-be2c-d26d12c97f00
crash_function: handle_error
executable:     /usr/bin/xfdesktop
kernel:         3.9.8-300.fc19.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 handle_error at xcb_io.c:213
 #5 handle_response at xcb_io.c:325
 #7 XGetWindowProperty at GetProp.c:69
 #8 gdk_window_get_type_hint at gdkwindow-x11.c:2117
 #9 Oxygen::Gtk::gdk_window_nobackground at /usr/src/debug/oxygen-gtk2-1.3.4/src/oxygengtkutils.cpp:174
 #10 Oxygen::draw_flat_box at /usr/src/debug/oxygen-gtk2-1.3.4/src/oxygenstylewrapper.cpp:145
 #11 gtk_window_paint at gtkwindow.c:6625
 #12 gtk_window_realize at gtkwindow.c:4858
 #17 gtk_widget_realize at gtkwidget.c:3561
 #19 gtk_menu_popup at gtkmenu.c:1583
Comment 1 hrafnkellbrimar 2013-07-05 11:33:57 EDT
Created attachment 769299 [details]
File: backtrace
Comment 2 hrafnkellbrimar 2013-07-05 11:34:00 EDT
Created attachment 769300 [details]
File: cgroup
Comment 3 hrafnkellbrimar 2013-07-05 11:34:06 EDT
Created attachment 769301 [details]
File: core_backtrace
Comment 4 hrafnkellbrimar 2013-07-05 11:34:09 EDT
Created attachment 769302 [details]
File: dso_list
Comment 5 hrafnkellbrimar 2013-07-05 11:34:12 EDT
Created attachment 769303 [details]
File: environ
Comment 6 hrafnkellbrimar 2013-07-05 11:34:15 EDT
Created attachment 769304 [details]
File: limits
Comment 7 hrafnkellbrimar 2013-07-05 11:34:19 EDT
Created attachment 769305 [details]
File: maps
Comment 8 hrafnkellbrimar 2013-07-05 11:34:22 EDT
Created attachment 769306 [details]
File: open_fds
Comment 9 hrafnkellbrimar 2013-07-05 11:34:25 EDT
Created attachment 769307 [details]
File: proc_pid_status
Comment 10 hrafnkellbrimar 2013-07-05 11:34:28 EDT
Created attachment 769308 [details]
File: var_log_messages
Comment 11 hrafnkellbrimar 2013-07-05 11:35:58 EDT
Must be oxygen-gtk acting up.
Comment 12 Kevin Fenzi 2013-07-05 17:00:09 EDT
Could be. 

Can you get it to happen everytime using oxygen-gtk? 

Does it not happen with another theme?
Comment 13 hrafnkellbrimar 2013-07-05 21:20:27 EDT
Yes it happens every time with oxygen-gtk, but when I change the theme to Xfce, for example, and reboot it does not happen. Have not found another theme which makes this happen unless I apply it straight after the crash and don't reboot. But I haven't tried very many themes.
Comment 14 Fedora End Of Life 2015-01-09 17:10:55 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-02-18 08:58:29 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.